<?php

namespace App\Filament\Blog\Resources\PostResource\Pages;

use App\Filament\Blog\Resources\PostResource;
use Filament\Actions;
use Filament\Resources\Pages\EditRecord;

class EditPost extends EditRecord
{
    protected static string $resource = PostResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\ViewAction::make(),
            Actions\DeleteAction::make(),
        ];
    }

    // default behaviour genügt jetzt – Daten liegen direkt in den JSON-Feldern
}
